=== debian/changelog ===
opencpn-plugin-route (1.1.1-0~mx17+2) mx; urgency=medium

  * Set wxwidgets3 versions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 13:25:20 -0700

opencpn-plugin-route (1.1.1-0~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 12:25:15 -0700

opencpn-plugin-route (1.1.1-0~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 12:06:51 -0700

opencpn-plugin-route (1.1.1-0~xenial1) xenial; urgency=low

  * Version 1.1.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 10:10:50 -0600

opencpn-plugin-route (1.1.0-0~precise1) precise; urgency=low

  * Version 1.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 10:08:48 -0600

opencpn-plugin-route (1.1.0-0~trusty1) trusty; urgency=low

  * Version 1.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 10:08:48 -0600

opencpn-plugin-route (1.1.0-0~vivid1) vivid; urgency=low

  * Version 1.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 10:08:48 -0600

opencpn-plugin-route (1.1.0-0~wily1) wily; urgency=low

  * Version 1.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 10:08:48 -0600

opencpn-plugin-route (1.1.0-0~xenial1) xenial; urgency=low

  * Version 1.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 10:08:48 -0600

opencpn-plugin-route (1.1.0-0~utopic1) utopic; urgency=low

  * Version 1.1

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:46:14 -0500

opencpn-plugin-route (1.0.0-0~lucid1) lucid; urgency=low

  * Version 1.0

 -- Pavel Kalian <pavel@kalian.cz>  Tue, 21 Apr 2015 17:03:07 -0500

opencpn-plugin-route (1.0.0-0~precise1) precise; urgency=low

  * Version 1.0

 -- Pavel Kalian <pavel@kalian.cz>  Tue, 21 Apr 2015 17:03:07 -0500

opencpn-plugin-route (1.0.0-0~trusty1) trusty; urgency=low

  * Version 1.0

 -- Pavel Kalian <pavel@kalian.cz>  Tue, 21 Apr 2015 17:03:07 -0500

opencpn-plugin-route (1.0.0-0~utopic1) utopic; urgency=low

  * Version 1.0

 -- Pavel Kalian <pavel@kalian.cz>  Tue, 21 Apr 2015 17:03:07 -0500

opencpn-plugin-route (1.0.0-0~vivid1) vivid; urgency=low

  * Version 1.0

 -- Pavel Kalian <pavel@kalian.cz>  Tue, 21 Apr 2015 17:03:07 -0500
